<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;
use DB;
use Session;

class RespuestasController extends Controller
{
    public $idencuesta;

    function __construct() {
        $data = DB::select("CALL sp_r_encuesta_activa()");
        //$this->idencuesta = $data[0]->idencuesta;
        Session::put('idencuesta', $data[0]->idencuesta);
    }

    public function mostrar_regional() {
    	$data = DB::select("CALL sp_r_regional(" . Session::get('idencuesta')  . ");");
        return view('respuestas.regional', compact('data'));
    }

    public function mostrar_redes() {
    	$data = DB::select("CALL sp_r_redes_total(" . Session::get('idencuesta') . ");");
        return view('respuestas.redes', compact('data'));
    }

    public function mostrar_microredes($codred) {
    	$data = DB::select("CALL sp_r_microredes_especifica(" . Session::get('idencuesta') . ",'$codred');");
        return view('respuestas.microredes', compact('data'));
    }

    public function mostrar_establecimientos($codred, $codmicrored) {
    	$data = DB::select("CALL sp_r_establecimientos_total(" . Session::get('idencuesta') . ",'$codred','$codmicrored');");
        return view('respuestas.establecimientos', compact('data'));
    }

    public function mostrar_establecimientos_detalle($idestablec) {
    	$data = DB::select("CALL sp_r_establecimientos_detalle(" . Session::get('idencuesta') . ", '$idestablec');");
        return view('respuestas.establecimientos_detalle', compact('data'));
    }
}
